
%define plugin	games
%define name	vdr-plugin-%plugin
%define version	0.6.3
%define rel	23

Summary:	VDR plugin: OSD Games Collection
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://1541.org/
Source:		http://1541.org/public/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-games-0.6.2-finnish.diff
Patch1:		games-02_Makefile-nosilent.dpatch
Patch2:		games-0.6.3-i18n-1.6.patch
# drop now unrecognized --whole-archive instead of turning it into
# -Wl,--whole-archive - it should not be needed here anyway -Anssi
Patch3:		games-no-whole-archive.patch
BuildRequires:	vdr-devel >= 1.6.0-7
Requires:	vdr-abi = %vdr_abi

%description
This is the new vdr OSD games collection formaly known as the tetris plugin.
The collection currently contains Tetris, Tron, TicTacToe, Snake and
Minesweeper, more to come.

%prep
%setup -q -n %plugin-%version
%apply_patches
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-I%{_includedir}/vdr"
%vdr_plugin_build libvdr-games.so -j1

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README TODO HISTORY


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.3-23.mga3
+ Revision: 385270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.6.3-22.mga3
+ Revision: 325506
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.6.3-21.mga2
+ Revision: 221044
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.6.3-20.mga2
+ Revision: 214804
- rebuild for VDR 1.7.23
- fix build with current GCC (games-no-whole-archive.patch)

* Sat May 14 2011 anssi <anssi> 0.6.3-19.mga1
+ Revision: 98399
- imported package vdr-plugin-games

